#!/bin/bash
echo "creating BPCC users"
set -e

mysql --protocol=socket -uroot -p$MYSQL_ROOT_PASSWORD <<EOSQL
CREATE user super identified by '$SUPER_PASS';
GRANT all privileges on *.* to super with grant option;
CREATE user readerwriter identified by '$READERWRITER_PASS';
GRANT replication client, select, update, delete, insert, create, drop, index, alter, lock tables on *.* to readerwriter;
CREATE user replicator identified by '$REPLICATOR_PASS';
GRANT replication slave on *.* to replicator;
flush privileges;
EOSQL
# I don't think anything needs to be escaped in this heredoc.



